Skip to main content
GET
Error

Query Parameters

status
string

Lifecycle status filter (Active or Archived)

includeArchived
boolean

Include archived spacecraft when status is absent (true=all, false=active-only). Ignored when status is set.

pageable
object
required

Response

Spacecraft list retrieved successfully

Paginated response wrapper containing a page of results with navigation metadata

content
object[]

List of items in the current page

empty
boolean

Whether the content list is empty

Example:

false

first
boolean

Whether this is the first page

Example:

true

hasNext
boolean

Whether there are more pages after this one

Example:

true

hasPrevious
boolean

Whether there are pages before this one

Example:

false

last
boolean

Whether this is the last page

Example:

false

page
integer<int32>

Current page number (0-indexed)

Example:

0

size
integer<int32>

Number of items per page

Example:

20

totalElements
integer<int64>

Total number of elements across all pages

Example:

150

totalPages
integer<int32>

Total number of pages

Example:

8